import { ListPage } from "./list.po";

/**
 * Show calculators list (home page)
 */
describe("ngHyd − list page", () => {
  let page: ListPage;

  beforeEach(() => {
    page = new ListPage();
  });

  it("when list is open, user should see the list of available compute nodes", async () => {
    await page.navigateTo();
    expect(page.getThemesCardsLength()).toBeGreaterThan(4);
    expect(page.getCalculatorsMenuLength()).toBeGreaterThan(8);
  });
});
