const { app, dialog, BrowserWindow } = require('electron');

let win;
function createWindow () {
    // Create the browser window.
    win = new BrowserWindow({ width: 800, height: 600 });

    // and load the index.html of the app. 
    win.loadFile("./dist/index.html");

    // Hide menu bar.
    win.setMenuBarVisibility(false)

    // Open the DevTools.
    // win.webContents.openDevTools();

    // Open external doc links in specific window
    /* win.webContents.on('new-window', (event, url, frameName, disposition, options) => {
        event.preventDefault();
        // win.src = url;
        const win2 = new BrowserWindow({
            webContents: options.webContents, // use existing webContents if provided
            show: false
        });
        win2.webContents.openDevTools();
        win2.once('ready-to-show', () => win2.show());
        if (!options.webContents) {
            win2.loadURL(url); // existing webContents will be navigated automatically
        }
        event.newGuest = win2;
    }); */

    // Close the app.
    win.on('close', () => {
        // @TODO does not render properly on Linux
        /* var choice = dialog.showMessageBox(this,
            {
              type: 'question',
              buttons: ['Yes', 'No'],
              title: 'Confirm',
              message: 'Are you sure you want to quit?'
           }
        );
        if(choice == 1){
            e.preventDefault();
        } */
        win.destroy();
    });

    // Emitted when the window is closed.
    win.on('closed', () => {
        win = null;
    })
};

// This method will be called when Electron has finished
// initialization and is ready to create browser windows.
// Some APIs can only be used after this event occurs.
app.on('ready', createWindow);

// Quit when all windows are closed.
app.on('window-all-closed', () => {
    // On macOS it is common for applications and their menu bar
    // to stay active until the user quits explicitly with Cmd + Q
    if (process.platform !== 'darwin') {
        app.quit();
    }
});

app.on('activate', () => {
    // On macOS it's common to re-create a window in the app when the
    // dock icon is clicked and there are no other windows open.
    if (win === null) {
        createWindow()
    }
});
