'use strict';

const fs = require('fs-extra');
// const find = require('find');

const destPath = "docs-fr/javascripts/mathjax";

// empty destination folder
fs.emptyDirSync(destPath);

// create destination subfolders
fs.ensureDirSync(destPath + "/fonts/HTML-CSS/TeX/", { recursive: true });

// copy required files only
fs.copySync("node_modules/mathjax/MathJax.js", destPath + "/MathJax.js");
fs.copySync("node_modules/mathjax/config", destPath + "/config");
fs.copySync("node_modules/mathjax/jax", destPath + "/jax");
fs.copySync("node_modules/mathjax/fonts/HTML-CSS/TeX/woff", destPath + "/fonts/HTML-CSS/TeX/woff");
fs.copySync("node_modules/mathjax/fonts/HTML-CSS/TeX/otf", destPath + "/fonts/HTML-CSS/TeX/otf");

// remove md files (obsolete ?)
/*
const files = find.fileSync(/.\.md/i, "docs-fr/javascripts/");
for (const file of files) {
    fs.unlinkSync(file);
}
*/
